<script setup lang="ts">
import { computed } from 'vue';
import { handleBackground } from '@slidev/theme-default/layoutHelper';

const props = defineProps({
	background: {
		default: ''
	},
	class: {
		type: String
	}
});

const style = computed(() => handleBackground(props.background, true));
</script>

<template>
	<div class="h-full w-full">
		<div class="abs-tr right-6 top-6 flex items-center gap-4 !z-50">
			<NttDataLogo class="w-[100px] fill-white" />

			<DarkToggle class="" />
		</div>

		<div
			class="slidev-layout bg-center bg-no-repeat bg-cover flex flex-col justify-center"
			:style="{ backgroundImage: `url('${props.background}')` }"
			:class="props.class"
		>
			<slot />
		</div>

		<div class="absolute bottom-4 right-4 bg-brand-primary text-xs p-2 font-bold !text-white">
			{{ $slidev.nav.currentPage }}
		</div>
	</div>
</template>
